Bug 207060 - graphics/mapnik: update to 3.0.9
Summary: graphics/mapnik: update to 3.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on: 207249
Blocks: 199601
  Show dependency treegraph
 
Reported: 2016-02-09 15:06 UTC by Dmitry Marakasov
Modified: 2016-03-09 17:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (littlesavage)


Attachments
Patch (22.74 KB, patch)
2016-02-16 17:48 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (33.74 KB, patch)
2016-02-17 19:03 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-02-09 15:06:29 UTC
mapnik 2.2.0 was released in 2013, now the port really needs an update, as 2.2.0 doesn't build with upcoming boost 1.60. See

https://wiki.freebsd.org/BoostPortingProject/1.55-to-1.60
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199601
Comment 1 Dmitry Marakasov freebsd_committer 2016-02-15 16:06:07 UTC
I'm working on an update.
Comment 2 Dmitry Marakasov freebsd_committer 2016-02-16 17:48:08 UTC
Created attachment 167085 [details]
Patch

- Update to 3.0.9
- Fix LICENSE
- Strip libraries
- Respect CFLAGS/CXXFLAGS
- Make proj optional
- Switch to options helpers
- Simplify docs installation
Comment 3 Dmitry Marakasov freebsd_committer 2016-02-17 19:03:28 UTC
Created attachment 167117 [details]
Patch
Comment 4 commit-hook freebsd_committer 2016-03-09 17:58:51 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Mar  9 17:58:47 UTC 2016
New revision: 410719
URL: https://svnweb.freebsd.org/changeset/ports/410719

Log:
  - Update to 3.0.9
  - Fix LICENSE
  - Strip libraries
  - Respect CFLAGS/CXXFLAGS
  - Make proj optional
  - Switch to options helpers
  - Simplify docs installation

  PR:		207060
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (littlesavage@rambler.ru, 3 weeks)

Changes:
  head/graphics/mapnik/Makefile
  head/graphics/mapnik/distinfo
  head/graphics/mapnik/files/patch-SConstruct
  head/graphics/mapnik/files/patch-bindings-python-mapnik_text_placement.cpp
  head/graphics/mapnik/files/patch-plugins-input-ogr-ogr_datasource.cpp
  head/graphics/mapnik/files/patch-plugins-input-ogr-ogr_datasource.hpp
  head/graphics/mapnik/files/patch-plugins-input-ogr-ogr_layer_ptr.hpp
  head/graphics/mapnik/files/patch-src-build.py
  head/graphics/mapnik/files/patch-tests-cpp_tests-conversions_test.cpp
  head/graphics/mapnik/pkg-plist